---
lang: en
title: 'API docs: context.defaultconfigurationresolver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.defaultconfigurationresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [DefaultConfigurationResolver](./context.defaultconfigurationresolver.md)

## DefaultConfigurationResolver class

Resolver for configurations of bindings

<b>Signature:</b>

```typescript
export declare class DefaultConfigurationResolver implements ConfigurationResolver 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context)](./context.defaultconfigurationresolver._constructor_.md) |  | Constructs a new instance of the <code>DefaultConfigurationResolver</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [context](./context.defaultconfigurationresolver.context.md) |  | <code>Context</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getConfigAsValueOrPromise(key, configPath, resolutionOptions)](./context.defaultconfigurationresolver.getconfigasvalueorpromise.md) |  |  |


